package com.gic.haoban.manage.web.vo.moment;

import java.io.Serializable;
import java.util.Date;

public class TaskDetailVO implements Serializable {

    private Long planId ;

    private String clerkId ;

    /**
     * 执行导购名称
     */
    private String clerkName ;

    /**
     * 任务名称
     */
    private String name ;

    /**
     * 任务描述
     */
    private String remark ;

    /**
     * 开始时间
     */
    private Date startTime ;

    /**
     * 结束时间
     */
    private Date endTime ;

    /**
     * 点赞数
     */
    private int linkCount ;

    /**
     * 评论数
     */
    private int commentCount ;

    /**任务执行完成时间*/
    private Date sendTime ;

    /**
     * 执行方式 0企微1好办小程序
     */
    private int execType ;

    /**
     * 数据更新时间
     */
    private Date qwDataTime ;

    // 0已失效1待执行 2已执行
    private Integer taskStatus ;

    public Integer getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(Integer taskStatus) {
        this.taskStatus = taskStatus;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public int getLinkCount() {
        return linkCount;
    }

    public void setLinkCount(int linkCount) {
        this.linkCount = linkCount;
    }

    public int getCommentCount() {
        return commentCount;
    }

    public void setCommentCount(int commentCount) {
        this.commentCount = commentCount;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public int getExecType() {
        return execType;
    }

    public void setExecType(int execType) {
        this.execType = execType;
    }

    public Date getQwDataTime() {
        return qwDataTime;
    }

    public void setQwDataTime(Date qwDataTime) {
        this.qwDataTime = qwDataTime;
    }
}
